Bug 548706 - [abrt] crash detected in gbirthday-0.5.5-2.fc12
Summary: [abrt] crash detected in gbirthday-0.5.5-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gbirthday
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:aaf92a7e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-18 10:07 UTC by James Heather
Modified: 2010-01-02 19:31 UTC (History)
19 users (show)

Fixed In Version: 0.5.6-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 04:55:19 UTC


Attachments (Terms of Use)
File: backtrace (479 bytes, text/plain)
2009-12-18 10:07 UTC, James Heather
no flags Details

Description James Heather 2009-12-18 10:07:09 UTC
abrt 1.0.0 detected a crash.

Comment: Had just booted up and logged in. First time after updating to 0.5.5-2.

backtrace
-----
Summary: TBaaf92a7e status_icon.py:72:check_new_day:UnboundLocalError: local variable 'current_day' referenced before assignment

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gbirthday/status_icon.py", line 72, in check_new_day
    if current_day != new_day:
UnboundLocalError: local variable 'current_day' referenced before assignment

Local variables in innermost frame:
new_day: 18
self: <gbirthday.status_icon.StatusIcon instance at 0x2bc27a0>

cmdline: /usr/bin/python /usr/bin/gbirthday 
component: gbirthday
executable: /usr/bin/gbirthday
kernel: 2.6.31.6-166.fc12.x86_64
package: gbirthday-0.5.5-2.fc12
uuid: aaf92a7e

Comment 1 James Heather 2009-12-18 10:07:12 UTC
Created attachment 379173 [details]
File: backtrace

Comment 2 Fedora Update System 2009-12-18 14:02:15 UTC
gbirthday-0.5.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gbirthday-0.5.6-1.fc12

Comment 3 Thomas Spura 2009-12-18 14:08:14 UTC
Thanks for the bug report.

I'm pretty sure, that 'current_day' is assigned before referenced...
Strange, that this happened...

Comment 4 James Heather 2009-12-21 11:09:43 UTC
Confirmed fixed in 0.5.6-1. Thanks! All working well now!

Comment 5 Fedora Update System 2009-12-22 04:55:10 UTC
gbirthday-0.5.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.